variables:
  GIT_SUBMODULE_STRATEGY: recursive

deploy:
  stage: deploy
  image: lwolf/helm-kubectl-docker
  only:
    - master
  tags:
    - teckids-trusted
  environment:
    name: production/leopard
  before_script:
    - cd invidious/kubernetes; helm dep update; cd ../..
  script:
    - helm upgrade --install $CI_ENVIRONMENT_SLUG ./invidious/kubernetes
       --set podAnnotations.'app\.gitlab\.com'/env=$CI_ENVIRONMENT_SLUG
       --set podAnnotations.'app\.gitlab\.com'/app=$CI_PROJECT_PATH_SLUG
       --set config.db.password=$POSTGRES_PASSWORD
       -f values.yaml
  only:
    - master
